Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
B Struct Reference

## Data Fields
unsigned char | y
struct A | x
unsigned int | z
float | b_x
float | b_y

## Detailed Description

Definition at line 17 of file nested_struct10.c.

## Field Documentation

## ◆ b_x

float B::b_x

Definition at line 19 of file nested_struct11.c.

## ◆ b_y

float B::b_y

Definition at line 20 of file nested_struct11.c.

## ◆ x

struct A B::x

Definition at line 19 of file nested_struct10.c.

Referenced by main().

## ◆ y

unsigned char B::y

Definition at line 18 of file nested_struct10.c.

Referenced by main().

## ◆ z

unsigned int B::z

Definition at line 20 of file nested_struct10.c.

The documentation for this struct was generated from the following files:

- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct10.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct11.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct2.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct3.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct4.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct5.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct6.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct7.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct8.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct9.c